<?php
namespace nur\sery\wip\schema\_list;

use nur\sery\wip\schema\Result;
use nur\sery\wip\schema\Value;

class ListValue extends Value {
  function isList(?ListValue &$list=null): bool { $list = $this; return true; }

  function ensureKeys(): bool {
  }

  function orderKeys(): bool {
  }

  /** @param Result[] $results */
  function verifix(bool $throw=true, ?array &$results=null): bool {
  }
}
